import { ModifierTagSet } from './ModifierTagSet';
/**
 * Extends the ModifierTagSet base class with getters for modifiers that
 * are part of the standardized core tags for TSDoc.
 */
export declare class CoreModifierTagSet extends ModifierTagSet {
    /**
     * Returns true if the `@alpha` modifier tag was specified.
     */
    readonly isAlpha: boolean;
    /**
     * Returns true if the `@beta` modifier tag was specified.
     */
    readonly isBeta: boolean;
    /**
     * Returns true if the `@experimental` modifier tag was specified.
     */
    readonly isExperimental: boolean;
    /**
     * Returns true if the `@internal` modifier tag was specified.
     */
    readonly isInternal: boolean;
    /**
     * Returns true if the `@readonly` modifier tag was specified.
     */
    readonly isReadonly: boolean;
}
