"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var ModifierTagSet_1 = require("./ModifierTagSet");
var CoreTags_1 = require("./CoreTags");
/**
 * Extends the ModifierTagSet base class with getters for modifiers that
 * are part of the standardized core tags for TSDoc.
 */
var CoreModifierTagSet = /** @class */ (function (_super) {
    __extends(CoreModifierTagSet, _super);
    function CoreModifierTagSet() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(CoreModifierTagSet.prototype, "isAlpha", {
        /**
         * Returns true if the `@alpha` modifier tag was specified.
         */
        get: function () {
            return this.hasModifierTagWithUpperCase(CoreTags_1.CoreTags.alpha.tagNameWithUpperCase);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CoreModifierTagSet.prototype, "isBeta", {
        /**
         * Returns true if the `@beta` modifier tag was specified.
         */
        get: function () {
            return this.hasModifierTagWithUpperCase(CoreTags_1.CoreTags.beta.tagNameWithUpperCase);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CoreModifierTagSet.prototype, "isExperimental", {
        /**
         * Returns true if the `@experimental` modifier tag was specified.
         */
        get: function () {
            return this.hasModifierTagWithUpperCase(CoreTags_1.CoreTags.experimental.tagNameWithUpperCase);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CoreModifierTagSet.prototype, "isInternal", {
        /**
         * Returns true if the `@internal` modifier tag was specified.
         */
        get: function () {
            return this.hasModifierTagWithUpperCase(CoreTags_1.CoreTags.internal.tagNameWithUpperCase);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CoreModifierTagSet.prototype, "isReadonly", {
        /**
         * Returns true if the `@readonly` modifier tag was specified.
         */
        get: function () {
            return this.hasModifierTagWithUpperCase(CoreTags_1.CoreTags.readonly.tagNameWithUpperCase);
        },
        enumerable: true,
        configurable: true
    });
    return CoreModifierTagSet;
}(ModifierTagSet_1.ModifierTagSet));
exports.CoreModifierTagSet = CoreModifierTagSet;
//# sourceMappingURL=CoreModifierTagSet.js.map