"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TSDocParserConfiguration_1 = require("../parser/TSDocParserConfiguration");
/**
 * The "core tags" defined by the TSDoc standard.
 */
var CoreTags = /** @class */ (function () {
    function CoreTags() {
    }
    CoreTags.alpha = new TSDocParserConfiguration_1.TSDocTagDefinition({
        tagName: '@alpha',
        syntaxKind: TSDocParserConfiguration_1.TSDocTagSyntaxKind.ModifierTag
    });
    CoreTags.beta = new TSDocParserConfiguration_1.TSDocTagDefinition({
        tagName: '@beta',
        syntaxKind: TSDocParserConfiguration_1.TSDocTagSyntaxKind.ModifierTag
    });
    CoreTags.experimental = new TSDocParserConfiguration_1.TSDocTagDefinition({
        tagName: '@experimental',
        syntaxKind: TSDocParserConfiguration_1.TSDocTagSyntaxKind.ModifierTag
    });
    CoreTags.internal = new TSDocParserConfiguration_1.TSDocTagDefinition({
        tagName: '@internal',
        syntaxKind: TSDocParserConfiguration_1.TSDocTagSyntaxKind.ModifierTag
    });
    CoreTags.param = new TSDocParserConfiguration_1.TSDocTagDefinition({
        tagName: '@param',
        syntaxKind: TSDocParserConfiguration_1.TSDocTagSyntaxKind.BlockTag
    });
    CoreTags.readonly = new TSDocParserConfiguration_1.TSDocTagDefinition({
        tagName: '@readonly',
        syntaxKind: TSDocParserConfiguration_1.TSDocTagSyntaxKind.ModifierTag
    });
    CoreTags.remarks = new TSDocParserConfiguration_1.TSDocTagDefinition({
        tagName: '@remarks',
        syntaxKind: TSDocParserConfiguration_1.TSDocTagSyntaxKind.BlockTag,
        singleton: true
    });
    CoreTags.returns = new TSDocParserConfiguration_1.TSDocTagDefinition({
        tagName: '@returns',
        syntaxKind: TSDocParserConfiguration_1.TSDocTagSyntaxKind.BlockTag,
        singleton: true
    });
    /**
     * Returns the full list of all core tags.
     */
    CoreTags.allDefinitions = [
        CoreTags.alpha,
        CoreTags.beta,
        CoreTags.experimental,
        CoreTags.internal,
        CoreTags.param,
        CoreTags.readonly,
        CoreTags.remarks,
        CoreTags.returns
    ];
    return CoreTags;
}());
exports.CoreTags = CoreTags;
//# sourceMappingURL=CoreTags.js.map